package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class Health extends Component
{
    public final static Health NULL = new Health(null, null);
    
    protected final Death death;
    
    protected Health(Entity ent, Death death)
    {
        super(ent);
        this.death = death;
    }
    
    public void tick()
    {
    }
    
    public boolean isDead()
    {
        return false;
    }
    
    public boolean wasHurt()
    {
        return false;
    }
    
    public boolean wasHealed()
    {
        return false;
    }
    
    public void addHealth(double h)
    {
    }
    
    public final void addHealthPercent(double percent)
    {
        addHealth(percent * getMaxHealth());
    }
    
    public double getMaxHealth()
    {
        return 0.0;
    }
    
    public double getHealthPercent()
    {
        return getHealth() / getMaxHealth();
    }
    
    public double getHealth()
    {
        return 0.0;
    }
    
    public int getSlot()
    {
        return -1;
    }
}
